summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 04:07:32 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 04:07:32 (EDT)
commitbbef77c74d777c97b6f201dbdf0d04857239b71e (patch)
treeb9fa768539a08bee4ca0a8ca967961ba5f45b971
parenta68d7325c44b881582cbd5ffe9dcf6623b0fd4f3 (diff)
opkbuild, ob-*: set -e
-rw-r--r--TODO1
-rw-r--r--src/ob-applypatches.sh2
-rw-r--r--src/ob-buildenv.sh2
-rw-r--r--src/ob-buildopk.sh2
-rw-r--r--src/ob-checkbuilddeps.sh2
-rw-r--r--src/ob-genchanges.sh2
-rw-r--r--src/ob-gencontrol.sh2
-rw-r--r--src/ob-installdocs.sh2
-rw-r--r--src/ob-installplatconf.sh2
-rw-r--r--src/ob-unpacksource.sh2
-rw-r--r--src/opkbuild.sh2
11 files changed, 20 insertions, 1 deletions
diff --git a/TODO b/TODO
index 8c0fd41..a4a579f 100644
--- a/TODO
+++ b/TODO
@@ -40,7 +40,6 @@ Tasks
* Drop mksysconf.
* In executables, print error (using `printf`) and exit if
`ob_set_text_domain()` fails.
- * Make `set -e`.
* In executables, exit on errors.
Copyright
diff --git a/src/ob-applypatches.sh b/src/ob-applypatches.sh
index 6451de2..2650223 100644
--- a/src/ob-applypatches.sh
+++ b/src/ob-applypatches.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
apply_patches()
diff --git a/src/ob-buildenv.sh b/src/ob-buildenv.sh
index 182a050..06c7136 100644
--- a/src/ob-buildenv.sh
+++ b/src/ob-buildenv.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
setup_build_helper()
diff --git a/src/ob-buildopk.sh b/src/ob-buildopk.sh
index ae83996..55dfdc9 100644
--- a/src/ob-buildopk.sh
+++ b/src/ob-buildopk.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
build_opk()
diff --git a/src/ob-checkbuilddeps.sh b/src/ob-checkbuilddeps.sh
index c342666..d49bf25 100644
--- a/src/ob-checkbuilddeps.sh
+++ b/src/ob-checkbuilddeps.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
check_dep()
diff --git a/src/ob-genchanges.sh b/src/ob-genchanges.sh
index 9522204..c591b26 100644
--- a/src/ob-genchanges.sh
+++ b/src/ob-genchanges.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
write_changes()
diff --git a/src/ob-gencontrol.sh b/src/ob-gencontrol.sh
index 9541043..79f30d4 100644
--- a/src/ob-gencontrol.sh
+++ b/src/ob-gencontrol.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
gen_control()
diff --git a/src/ob-installdocs.sh b/src/ob-installdocs.sh
index 9516636..484a01b 100644
--- a/src/ob-installdocs.sh
+++ b/src/ob-installdocs.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
install_docs()
diff --git a/src/ob-installplatconf.sh b/src/ob-installplatconf.sh
index eb05372..bb6df2c 100644
--- a/src/ob-installplatconf.sh
+++ b/src/ob-installplatconf.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
system_paths_ifs='
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index c07a67b..76bb174 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
upstream_ar_base=
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index 50cd26e..5b080e0 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -17,6 +17,8 @@
# You should have received a copy of the GNU General Public License
# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+set -e
+
. "${LIBDATADIR}/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"
export OPK_SOURCE=